
.msg12{
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  text-align: center;
   z-index: 9999;
}
.msg13{
color: gold;
background-color: rgba(0, 0, 0, 0.9);
box-shadow: 1px 4px 8px gold;
font-size: 14px;
border-radius: 10px;
padding: 12px 16px;
margin: 0 15px;
display: inline-block;
 text-align: center;
max-width: 600px; 
}         




/* --- loading Loading Spinner --- */
.custom-loading-spin {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.4);
  z-index: 2001;
}

.custom-loading-container{
width: 100px;
height: 100px;
background: #000;
border-radius: 5px;
 display: flex;
  justify-content: center;
  align-items: center;
}

#loading-spin {
  animation: custom-rotate 1.5s linear infinite;
}
@keyframes custom-rotate {
  100% {
    transform: rotate(360deg);
  }}
